### Enumeration

# WPEWebKit WebExtensionMatchPatternError

#### Declaration

    error-domain WPEWebKit.WebExtensionMatchPatternError

#### Description [src]

Enum values used to denote errors happening when creating a `WebKitWebExtensionMatchPattern`.

#### Members

`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_UNKNOWN`

  An unknown error occured.

  - Value: `899`
  - Available since: 2.0
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_INVALID_SCHEME`

  The scheme component was invalid.

  - Value: `808`
  - Available since: 2.0
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_INVALID_HOST`

  The host component was invalid.

  - Value: `809`
  - Available since: 2.0
`WEBKIT_WEB_EXTENSION_MATCH_PATTERN_ERROR_INVALID_PATH`

  The path component was invalid.

  - Value: `810`
  - Available since: 2.0

#### Type functions

###### webkit_web_extension_match_pattern_error_quark

Gets the quark for the domain of Web Extension Match Pattern errors.